⌘K

Hailuo 1.0 Director - Text to Video

minimax_t2v_01_director

MiniMax T2V-01 Director offers advanced camera control and scene composition for cinematic text-to-video generation.

Authentication

authorization string required

All APIs require authentication via Bearer Token.

Get API Key:

Visit API Key Management Page to get your API Key

Usage:

Add to request header:

Authorization: Bearer YOUR_API_KEY

Parameters

model string required

Model ID to use for the request

Options: minimax_t2v_01_director


prompt string required

Text description for video generation, length must be between 1-2000 characters

Supports camera movement control using [instruction] syntax. You can add camera instructions in the prompt using the [instruction] format for precise camera control.

Supported 15 camera instructions:
Pan: [pan left], [pan right]
Tilt: [tilt left], [tilt right]
Push/Pull: [push in], [pull back]
Rise/Lower: [rise], [lower]
Up/Down tilt: [tilt up], [tilt down]
Zoom: [zoom in], [zoom out]
Other: [shake], [follow], [static]

Usage rules:
Combined movements: Multiple instructions within the same [] will take effect simultaneously, e.g. [tilt left, rise], recommend no more than 3 combined instructions
Sequential movements: Instructions appearing before and after in the prompt will take effect in sequence, e.g. ”…[push in], then…[pull back]“
Natural language: Camera movements can also be described in natural language, but using standard instructions provides more accurate responses


duration integer

Video duration in seconds, fixed at 6 seconds

Options: 6

Default: 6


resolution string

Video resolution, fixed at 720P

Options: 720P

Default: 720P


prompt_optimizer boolean

Whether to automatically optimize prompt. Set to false for more precise control

Default: true


callback_url string

Callback URL for receiving task status update notifications. Supports configuring callbacks via the callback_url parameter to receive asynchronous notifications of task status updates


aigc_watermark boolean

Whether to add watermark to the generated video

Default: false


Polling

Since result generation takes time, you need to poll the task status after creating the task.

The initial response only returns information such as the task ID and initial status. The final result must be obtained by polling the task status endpoint using the task ID.

See the examples on the right for polling requests and responses.

Response Format

error object

Error information, only present when status is failed

code integer

Error code

error_message string

Detailed error message


output array

Generation results, only present when status is completed

content array

List of generated content

type string

Resource type, e.g., video, image

url string

Generated content URL


usage object

Usage statistics, only present when status is completed

cost string

Total cost in USD

discount number

Discount amount


metadata object

Metadata information


Error Codes

Error CodeDescription
010002095Internal generation error
010002096Result parsing error
010002097HTTP error response
010002098Status check error
010002099Task creation error